OBJECT_NOT_EXIST (Java Platform SE 8 )
Keywords: org.omg.CORBA.OBJECT_NOT_EXIST class
Date: 2020-03-26

org.omg.CORBA

## Class OBJECT_NOT_EXIST

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.omg.CORBA.SystemException
        - - org.omg.CORBA.OBJECT_NOT_EXIST

- All Implemented Interfaces:
    Serializable

      public final class OBJECT_NOT_EXIST
      extends SystemException

  Exception raised whenever an invocation on a deleted object was performed. It is an authoritative "hard" fault report. Anyone receiving it is allowed (even expected) to delete all copies of this object reference and to perform other appropriate "final recovery" style procedures. Bridges forward this exception to clients, also destroying any records they may hold (for example, proxy objects used in reference translation). The clients could in turn purge any of their own data structures.

  It contains a minor code, which gives more detailed information about what caused the exception, and a completion status. It may also contain a string describing the exception.

  See the section Minor Code Meanings to see the minor codes for this exception.

  Since:
    JDK1.2
  See Also:
    documentation on Java IDL exceptions

- - ### Field Summary

    - ### Fields inherited from class org.omg.CORBA.SystemException

      `completed, minor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OBJECT_NOT_EXIST()` Constructs an `OBJECT_NOT_EXIST` exception with a default minor code of 0, a completion state of CompletionStatus.COMPLETED_NO, and a null description.
    `OBJECT_NOT_EXIST(int minor, CompletionStatus completed)` Constructs an `OBJECT_NOT_EXIST` exception with the specified minor code and completion status.
    `OBJECT_NOT_EXIST(String s)` Constructs an `OBJECT_NOT_EXIST` exception with the specified description, a minor code of 0, and a completion state of COMPLETED_NO.
    `OBJECT_NOT_EXIST(String s, int minor, CompletionStatus completed)` Constructs an `OBJECT_NOT_EXIST` exception with the specified description message, minor code, and completion status.

  - ### Method Summary

    - ### Methods inherited from class org.omg.CORBA.SystemException

      `toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OBJECT_NOT_EXIST

          public OBJECT_NOT_EXIST()

      Constructs an `OBJECT_NOT_EXIST` exception with a default minor code of 0, a completion state of CompletionStatus.COMPLETED_NO, and a null description.

    - #### OBJECT_NOT_EXIST

          public OBJECT_NOT_EXIST(String s)

      Constructs an `OBJECT_NOT_EXIST` exception with the specified description, a minor code of 0, and a completion state of COMPLETED_NO.
      Parameters:
        `s` - the String containing a description message

    - #### OBJECT_NOT_EXIST

          public OBJECT_NOT_EXIST(int minor,
                                  CompletionStatus completed)

      Constructs an `OBJECT_NOT_EXIST` exception with the specified minor code and completion status.
      Parameters:
        `minor` - the minor code
        `completed` - the completion status

    - #### OBJECT_NOT_EXIST

          public OBJECT_NOT_EXIST(String s,
                                  int minor,
                                  CompletionStatus completed)

      Constructs an `OBJECT_NOT_EXIST` exception with the specified description message, minor code, and completion status.
      Parameters:
        `s` - the String containing a description message
        `minor` - the minor code
        `completed` - the completion status

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2020, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.